## Log
Return the natural logarithm of the parameter

### Declaration
```glsl
float log(float x)  
vec2 log(vec2 x)  
vec3 log(vec3 x)  
vec4 log(vec4 x)
```

### Parameters
```x``` specify the value of which to take the natural logarithm.

### Description
```log()``` returns the natural logarithm of ```x```.

<div class="simpleFunction" data="y = log(x); "></div>

### See Also

[log2](/glossary/?search=log2), [exp](/glossary/?search=exp), [exp2](/glossary/?search=exp2), [Chapter 05: Shaping Functions](/05/)
